
From: Mauro Carvalho Chehab <mchehab@brturbo.com.br>

- The Microtune 4049FM5 uses an IF frequency of 33.3 MHz for FM radio.

Signed-off-by: Hans Verkuil <hverkuil@xs4all.nl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/bttv-cards.c   |    4 ++--
 drivers/media/video/tuner-simple.c |    4 ++++
 2 files changed, 6 insertions(+), 2 deletions(-)

diff -puN drivers/media/video/bttv-cards.c~v4l-the-microtune-4049fm5-uses-an-if-frequency-of drivers/media/video/bttv-cards.c
--- devel/drivers/media/video/bttv-cards.c~v4l-the-microtune-4049fm5-uses-an-if-frequency-of	2005-09-06 21:14:30.000000000 -0700
+++ devel-akpm/drivers/media/video/bttv-cards.c	2005-09-06 21:14:30.000000000 -0700
@@ -299,8 +299,8 @@ static struct CARD {
 	{ 0x00011822, BTTV_TWINHAN_DST,   "Twinhan VisionPlus DVB" },
 	{ 0xfc00270f, BTTV_TWINHAN_DST,   "ChainTech digitop DST-1000 DVB-S" },
 	{ 0x07711461, BTTV_AVDVBT_771,    "AVermedia AverTV DVB-T 771" },
-	{ 0xdb1018ac, BTTV_DVICO_DVBT_LITE,    "DVICO FusionHDTV DVB-T Lite" },
-	{ 0xd50018ac, BTTV_DVICO_FUSIONHDTV_5_LITE,    "DVICO FusionHDTV 5 Lite" },
+	{ 0xdb1018ac, BTTV_DVICO_DVBT_LITE,    "DViCO FusionHDTV DVB-T Lite" },
+	{ 0xd50018ac, BTTV_DVICO_FUSIONHDTV_5_LITE,    "DViCO FusionHDTV 5 Lite" },
 
 	{ 0, -1, NULL }
 };
diff -puN drivers/media/video/tuner-simple.c~v4l-the-microtune-4049fm5-uses-an-if-frequency-of drivers/media/video/tuner-simple.c
--- devel/drivers/media/video/tuner-simple.c~v4l-the-microtune-4049fm5-uses-an-if-frequency-of	2005-09-06 21:14:30.000000000 -0700
+++ devel-akpm/drivers/media/video/tuner-simple.c	2005-09-06 21:14:30.000000000 -0700
@@ -468,6 +468,10 @@ static void default_set_radio_freq(struc
 	case TUNER_LG_PAL_FM:
 		buffer[3] = 0xa5;
 		break;
+	case TUNER_MICROTUNE_4049FM5:
+		div = (20 * freq) / 16000 + (int)(33.3 * 20); /* IF 33.3 MHz */
+		buffer[3] = 0xa4;
+		break;
 	default:
 		buffer[3] = 0xa4;
 		break;
_
